
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.SC;
using APT.MS.Domain.Entities.SC.SC;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.LR
{
    /// <summary>
    /// 导航：法律法规更新与融入制度文件
    /// </summary>
    [Description("导航：法律法规更新与融入明细制度文件")]
    public class T_LR_LAW_INSTITUTION : MesEntityBase
    {
        /// <summary>
        /// 法律法规更新与融入明细表
        /// </summary>
        [Description("法律法规更新与融入明细表")]
        [DataFieldForeignKey("Nav_LawIntegrateUpdateDetail", "Nav_LRLawInstitution")]
        public Guid UPDATE_DETAIL_ID { get; set; }
        /// <summary>
        /// 导航：法律法规更新与融入明细表
        /// </summary>
        [Description("导航：法律法规更新与融入明细表")]
        public T_LR_LAW_INTEGRATE_UPDATE_DETAIL Nav_LawIntegrateUpdateDetail { get; set; }

        /// <summary>
        /// 标准化制度
        /// </summary>
        [Description("标准化制度")]
        [DataFieldForeignKey("Nav_SCSystem")]
        public Guid? SC_SYSTEM_ID { get; set; }

        /// <summary>
        /// 导航：标准化制度
        /// </summary>
        [Description("导航：标准化制度")]
        public T_SC_STANDARD_CREATE Nav_SCSystem { get; set; }

        /// <summary>
        /// 法律法规更新与融入更新状态 0:未更新;1:已更新;2:无需更新;
        /// </summary>
        [Description("法律法规更新与融入更新状态")]
        [EnumName("LRLawIntegrateUpdateStatusEnum")]
        public LRLawIntegrateUpdateStatusEnum UPDATE_STATUS { get; set; }
    }
}
